## org.apache.catalina.core
Class StandardWrapperFacade

    java.lang.Object
      org.apache.catalina.core.StandardWrapperFacade

All Implemented Interfaces:
  javax.servlet.ServletConfig

public final class StandardWrapperFacade
extends java.lang.Object
implements javax.servlet.ServletConfig

Facade for the StandardWrapper object.

Version:
  $Revision: 1.4 $ $Date: 2004/08/26 21:32:20 $
Author:
  Remy Maucharat

Constructor Summary
`StandardWrapperFacade(StandardWrapper config)` Create a new facede around a StandardWrapper.

Method Summary
`java.lang.String` `getInitParameter(java.lang.String name)`
`java.util.Enumeration` `getInitParameterNames()`
`javax.servlet.ServletContext` `getServletContext()`
`java.lang.String` `getServletName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardWrapperFacade

    public StandardWrapperFacade(StandardWrapper config)

  Create a new facede around a StandardWrapper.

Method Detail

### getServletName

    public java.lang.String getServletName()

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.